changeset 16:0bdce741ba83

Upgrade lfs-bootstrap from 6.7 to Linux From Scratch 6.8.
author Rob Landley <rob@landley.net>
date Sun, 30 Oct 2011 17:58:45 -0500
parents 8c1a9d4cb1d2
children a90ac7ed5d64
files images/lfs-bootstrap/download.sh images/lfs-bootstrap/mnt/build/m4.sh images/lfs-bootstrap/mnt/build/pkg-config.sh images/lfs-bootstrap/mnt/build/psmisc.sh images/lfs-bootstrap/mnt/build/shadow.sh images/lfs-bootstrap/mnt/build/tar.sh images/lfs-bootstrap/mnt/build/util-linux-ng.sh images/lfs-bootstrap/mnt/build/util-linux.sh images/lfs-bootstrap/mnt/build/xz.sh images/lfs-bootstrap/mnt/package-list
diffstat 10 files changed, 28 insertions(+), 46 deletions(-) [+]
line wrap: on
line diff
--- a/images/lfs-bootstrap/download.sh	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/download.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -11,8 +11,8 @@
 
 # Download upstream tarball
 
-URL=http://ftp.osuosl.org/pub/lfs/lfs-packages/lfs-packages-6.7.tar \
-SHA1=9bda969efdfd4d51bda8fafeff082f2397249876 \
+URL=http://ftp.osuosl.org/pub/lfs/lfs-packages/lfs-packages-6.8.tar \
+SHA1=6ea087c36553a13f4da1152014d226806013db15 \
 RENAME='s/-sources//' \
 download || dienow
 
@@ -20,6 +20,8 @@
 SHA1=ef706667010893c5492173c543d2c5b715abb8a7 \
 download || dienow
 
+# Call cleanup before we move SRCDIR
+
 cleanup_oldfiles
 
 # Extract the individual packages from the upstream tarball
@@ -27,16 +29,19 @@
 SRCDIR="$SRCTREE/lfs-packages"
 PATCHDIR="$SRCDIR"
 
-# Fixups for tarball names the Aboriginal extract scripts can't parse
+# Fixups for tarball names the Aboriginal extract scripts can't parse into
+# package name, version number, and archive type.
 
+mv "$SRCDIR"/expect{,-}5.45.tar.gz &&
 mv "$SRCDIR"/sysvinit-2.88{dsf,}.tar.bz2 &&
-mv "$SRCDIR"/tcl{8.5.8-src,-src-8.5.8}.tar.gz &&
-mv "$SRCDIR"/udev-{161-testfiles,testfiles-161}.tar.bz2 || exit 1
+mv "$SRCDIR"/tcl{8.5.9-src,-src-8.5.9}.tar.gz &&
+mv "$SRCDIR"/udev-{166-testfiles,testfiles-166}.tar.bz2 || exit 1
 
 # Remove damaged patches (whitespace damaged, don't apply without "fuzz").
 
-rm "$SRCDIR"/gcc-4.5.1-startfiles_fix-1.patch &&
-rm "$SRCDIR"/tar-1.23-overflow_fix-1.patch || exit 1
+rm "$SRCDIR"/gcc-4.5.2-startfiles_fix-1.patch &&
+rm "$SRCDIR"/procps-3.2.8-fix_HZ_errors-1.patch || exit 1
+#rm "$SRCDIR"/tar-1.23-overflow_fix-1.patch || exit 1
 
 # Break down upstream tarball
 
--- a/images/lfs-bootstrap/mnt/build/m4.sh	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/mnt/build/m4.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -1,12 +1,1 @@
-#!/bin/sh
-
-sed -i -e '/"m4.h"/a#include <sys/stat.h>' src/path.c &&
-./configure --prefix=/usr &&
-make || exit 1
-
-if [ ! -z "$CHECK" ]
-then
-  make check || exit 1
-fi
-
-make install
+generic-check.sh
\ No newline at end of file
--- a/images/lfs-bootstrap/mnt/build/pkg-config.sh	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/mnt/build/pkg-config.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -1,13 +1,1 @@
-#!/bin/sh
-
-sed -i -e 's/XT])dnl/XT])[]dnl/' \
-       -e 's/\.])dnl/\.])[]dnl/' pkg.m4 &&
-./configure --prefix=/usr &&
-make -j $CPUS || exit 1
-
-if [ ! -z "$CHECK" ]
-then
-  make check || exit 1
-fi
-
-make install
+generic-check.sh
\ No newline at end of file
--- a/images/lfs-bootstrap/mnt/build/psmisc.sh	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/mnt/build/psmisc.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -2,7 +2,6 @@
 
 # Another bugfix that you'd think would be a patch, but no...
 
-sed -i 's@#include<sys\/usr.h>@#include <bits\/types.h>\&@' configure &&
 sed -i '/#error /d' src/peekfd.c &&
 
 ./configure --prefix=/usr --disable-nls &&
--- a/images/lfs-bootstrap/mnt/build/shadow.sh	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/mnt/build/shadow.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -13,7 +13,7 @@
 # password lengths to 8 characters, and change the user mbox location to
 # the "new" one everybody started using back in the 1990's.
 
-sed -i -e 's@#ENCRYPT_METHOD DES@ENCRYPT_METHOD MD5@' \
+sed -i -e 's@#ENCRYPT_METHOD DES@ENCRYPT_METHOD SHA512@' \
        -e 's@/var/spool/mail@/var/mail@' etc/login.defs &&
        
 ./configure --sysconfdir=/etc --without-nscd &&
--- a/images/lfs-bootstrap/mnt/build/tar.sh	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/mnt/build/tar.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -1,12 +1,11 @@
 #!/bin/sh
 
-sed -i /SIGPIPE/d src/tar.c &&
-./configure --prefix=/usr --bindir=/bin --libexecdir=/usr/sbin &&
+FORCE_UNSAFE_CONFIGURE=1 ./configure --prefix=/usr --bindir=/bin \
+  --libexecdir=/usr/sbin &&
 make -j $CPUS || exit 1
 
 if [ ! -z "$CHECK" ]
 then
-  sed -i '35 i AT_UNPRIVILEGED_PREREQ' tests/remfiles01.at &&
   make check || exit 1
 fi
 
--- a/images/lfs-bootstrap/mnt/build/util-linux-ng.sh	Sun Oct 30 17:58:22 2011 -0500
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-sed -e 's@etc/adjtime@var/lib/hwclock/adjtime@g' \
-  -i $(grep -rl '/etc/adjtime' .) &&
-mkdir -p /var/lib/hwclock &&
-./configure --enable-arch --enable-partx --enable-write --disable-nls &&
-make -j $CPUS &&
-make install
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/images/lfs-bootstrap/mnt/build/util-linux.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+sed -e 's@etc/adjtime@var/lib/hwclock/adjtime@g' \
+  -i $(grep -rl '/etc/adjtime' .) &&
+mkdir -p /var/lib/hwclock &&
+./configure --enable-arch --enable-partx --enable-write --disable-nls &&
+make -j $CPUS &&
+make install
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/images/lfs-bootstrap/mnt/build/xz.sh	Sun Oct 30 17:58:45 2011 -0500
@@ -0,0 +1,1 @@
+generic-check.sh
\ No newline at end of file
--- a/images/lfs-bootstrap/mnt/package-list	Sun Oct 30 17:58:22 2011 -0500
+++ b/images/lfs-bootstrap/mnt/package-list	Sun Oct 30 17:58:45 2011 -0500
@@ -9,7 +9,7 @@
 ncurses
 #gettext		#development internationalization
 gettext-stub	#development internationalization
-util-linux-ng
+util-linux
 e2fsprogs	#busybox
 coreutils	#busybox
 gawk		#busybox
@@ -36,6 +36,7 @@
 kbd		#busybox?
 less		#busybox
 make		#development
+xz		#busybox
 man-db
 module-init-tools #busybox
 patch		#busybox